Subject: CVS migo: * GNOME window manager hints are now on by default.

From: CVS <[email-masked]>
Date: Thu, 20 Jul 2000 22:00:31 -0500 (CDT)

CVSROOT:	/home/cvs/fvwm
Module name:	fvwm
Changes by:	migo	00/07/20 22:00:30

Modified files:
	.              : ChangeLog acinclude.m4 configure.in todo-2.4 
	fvwm           : module_interface.c 
	libs           : XError.c 
	utils          : fvwm-config.in 

Log message:
* GNOME window manager hints are now on by default.
* In addition, compiling with GNOME (used in FvwmGtk) is now autoconfigured,
_ it is on if a trivial gnome compilation passes, this fixes todo #159.
* module_interface.c: minor fix in KILLMODULE_ALIAS_SUPPORT.
* XError.c: added missing #include to avoid warnings.
* Some tweaks to make 'configure --help' nicer.

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Mikhael Goikhman <[email-masked]>
Date: Fri, 21 Jul 2000 06:23:56 +0300

On 20 Jul 2000 22:00:31 -0500, CVS wrote:
> 
> Log message:
> 1) GNOME window manager hints are now on by default.
> 2) In addition, compiling with GNOME (used in FvwmGtk) is now autoconfigured,
>    it is on if a trivial gnome compilation passes, this fixes todo #159.

We have --enable-gnome/--disable-gnome and --with-gnome/--without-gnome.
My first thought was to remove one of them. But in fact we have two
independent gnome supports. And yes, this may be somewhat confusing.

1) FVWM is mostly GNOME compliant, i.e. it supports gnome window manager
hints. This is now on. I see no reason why this should fail for anyone,
because there is no external files, everything in internal gnome.[ch].
The reasons to give --disable-gnome may be size or fvwm-2.2 simulation.

2) FvwmGtk can be compiled against gnome libs or only gtk libs. Which one
to use is determined in configure time by trying to compile a small gnome
program. To disable this check --with-gnome=no can be specified.

I tested several combinations for configure and everything was ok for me.
I turned gnome supports on by default due to Dominik's request and since
(maybe naively) I hope it is safe. Let's wait for a daily snapshot build.

Regards,
Mikhael.